Google Web Toolkit (Beta)
Search this site:

# Class FocusPanel

public class FocusPanel
extends SimplePanel
implements HasFocus, SourcesClickEvents, SourcesMouseEvents, SourcesMouseWheelEvents
A simple panel that makes its contents focusable, and adds the ability to catch mouse and keyboard events.

## Constructors

FocusPanel() |
FocusPanel(Widget) |

## Methods

addClickListener(ClickListener) | Adds a listener interface to receive click events.
addFocusListener(FocusListener) | Adds a listener interface to receive mouse events.
addKeyboardListener(KeyboardListener) | Adds a listener interface to receive keyboard events.
addMouseListener(MouseListener) | Adds a listener interface to receive mouse events.
addMouseWheelListener(MouseWheelListener) | Adds a listener interface to receive mouse events.
getTabIndex() | Gets the widget's position in the tab index.
onBrowserEvent(Event) |
removeClickListener(ClickListener) | Removes a previously added listener interface.
removeFocusListener(FocusListener) | Removes a previously added listener interface.
removeKeyboardListener(KeyboardListener) | Removes a previously added listener interface.
removeMouseListener(MouseListener) | Removes a previously added listener interface.
removeMouseWheelListener(MouseWheelListener) | Removes a previously added listener interface.
setAccessKey(char) | Sets the widget's 'access key'.
setFocus(boolean) | Explicitly focus/unfocus this widget.
setTabIndex(int) | Sets the widget's position in the tab index.

## Constructor Detail

### FocusPanel

public FocusPanel()

### FocusPanel

public FocusPanel(Widget child)

#### Parameters

child

## Method Detail

### addClickListener

public void addClickListener(ClickListener listener)
Adds a listener interface to receive click events.

#### Parameters

listener
  the listener interface to add

### addFocusListener

public void addFocusListener(FocusListener listener)
Adds a listener interface to receive mouse events.

#### Parameters

listener
  the listener interface to add

### addKeyboardListener

public void addKeyboardListener(KeyboardListener listener)
Adds a listener interface to receive keyboard events.

#### Parameters

listener
  the listener interface to add

### addMouseListener

public void addMouseListener(MouseListener listener)
Adds a listener interface to receive mouse events.

#### Parameters

listener
  the listener interface to add

### addMouseWheelListener

public void addMouseWheelListener(MouseWheelListener listener)
Adds a listener interface to receive mouse events.

#### Parameters

listener
  the listener interface to add

### getTabIndex

public int getTabIndex()
Gets the widget's position in the tab index.

#### Return Value

the widget's tab index

### onBrowserEvent

public void onBrowserEvent(Event event)

#### Parameters

event

### removeClickListener

public void removeClickListener(ClickListener listener)
Removes a previously added listener interface.

#### Parameters

listener
  the listener interface to remove

### removeFocusListener

public void removeFocusListener(FocusListener listener)
Removes a previously added listener interface.

#### Parameters

listener
  the listener interface to remove

### removeKeyboardListener

public void removeKeyboardListener(KeyboardListener listener)
Removes a previously added listener interface.

#### Parameters

listener
  the listener interface to remove

### removeMouseListener

public void removeMouseListener(MouseListener listener)
Removes a previously added listener interface.

#### Parameters

listener
  the listener interface to remove

### removeMouseWheelListener

public void removeMouseWheelListener(MouseWheelListener listener)
Removes a previously added listener interface.

#### Parameters

listener
  the listener interface to remove

### setAccessKey

public void setAccessKey(char key)
Sets the widget's 'access key'. This key is used (in conjunction with a browser-specific modifier key) to automatically focus the widget.

#### Parameters

key
  the widget's access key

### setFocus

public void setFocus(boolean focused)
Explicitly focus/unfocus this widget. Only one widget can have focus at a time, and the widget that does will receive all keyboard events.

#### Parameters

focused
  whether this widget should take focus or release it

### setTabIndex

public void setTabIndex(int index)
Sets the widget's position in the tab index. If more than one widget has the same tab index, each such widget will receive focus in an arbitrary order. Setting the tab index to `-1` will cause this widget to be removed from the tab order.

#### Parameters

index
  the widget's tab index